PowerShell 4.0 in Windows Server 2008 (not R2)

Viewing 3 reply threads
  • Author
    Posts
    • #1557917
      Dave Brown
      Participant
      Member Points: 149
      Rank: 2

      Hi guys, my name is Dave and I develop automated database and website installers for a large client. My automation scripts rely heavily on the PowerShell 4.0 ServerManager applets. Some my client’s older applications that need to be updated reside in Windows Server 2008 environments.

      Is there any way to install WMF 4.0 on Server 2008, short of unpacking the Windows6.1-KB2819745-x64-MultiPkg.msu cab files, editing the .mum files and rebuilding the .msu package? And, sadly, “DISM.exe /Online /Add-Package” won’t work on Server 2008. So, I’m sort of at my wits end.  With PowerShell 3.0, 80% of my installer can be automated but the remaining 20% might be too technical for human intervention.

      regards and thanks,

      Dave

    • #1557918
      Michael Pietroforte
      Keymaster
      Member Points: 31,761
      Author of the year 2018
      Rank: 4

      WMF 4.0 is not supported on Windows Server 2008; only WMF 3.0. You need to upgrade to Windows Server 2008 R2 SP1.

      avatar
    • #1557924
      Dave Brown
      Participant
      Member Points: 149
      Rank: 2

      What DISM commands are available in Vista/Server 2008?

      Can I use DISM to create an image and then use DISM to update that image with KB2819745?

    • #1557925
      Michael Pietroforte
      Keymaster
      Member Points: 31,761
      Author of the year 2018
      Rank: 4

      I think it it is very unlikely that WMF 4.0 will run on Windows Server 2008. You are only wasting your time. Honestly, you need to get rid of this server as fast as possible.

      avatar
Viewing 3 reply threads
  • You must be logged in to reply to this topic.
© 4sysops 2006 - 2021

CONTACT US

Please ask IT administration questions in the forums. Any other messages are welcome.

Sending

Log in with your credentials

or    

Forgot your details?

Create Account